# boost::numeric::ublas::vector_sum< V > Struct Template Reference

Inherits boost::numeric::ublas::vector_scalar_unary_functor< V >.

List of all members.

## Public Types

typedef vector_scalar_unary_functor< V > ::value_type | value_type
typedef vector_scalar_unary_functor< V > ::result_type | result_type

## Static Public Member Functions

template<class E >
static BOOST_UBLAS_INLINE result_type | apply (const vector_expression< E > &e)
template<class D , class I >
static BOOST_UBLAS_INLINE result_type | apply (D size, I it)
template<class I >
static BOOST_UBLAS_INLINE result_type | apply (I it, const I &it_end)

### template<class V>
struct boost::numeric::ublas::vector_sum< V >